<?php
function nv_db_delete_row($ID){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$query = 'UPDATE ' . $table_name . ' SET status = 0 WHERE ID = "' . $ID . '"';
	$res = $wpdb->query($query);

	if($res == 1) return true;
	return false;
}

function nv_db_retrieve_row($ID){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$query = 'SELECT * FROM ' . $table_name . ' WHERE ID = "' .$ID . '" AND status = "1"';
	$res = $wpdb->get_results($query);
	
	if($res != '') return $res[0];
	
	return null;
}

function nv_db_retrieve_allrows(){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$query = 'SELECT * FROM ' . $table_name . ' WHERE status = "1" ORDER BY ID ASC';
	$res = $wpdb->get_results($query);
	if($res != '') return $res;
	
	return null;
}

function nv_db_insert_row($params, $newid){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$query = 'INSERT INTO ' . $table_name . ' VALUES ("", "' . $params['url'] . '", "' . $params['days'] . '", "1")';
	$res = $wpdb->query($query);
	$newid = $wpdb->insert_id;
	if($res !== false) return true;
	return false;
}

function nv_db_update_row($ID, $params){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$set = '';
	foreach($params as $field => $value){
		$set[] = $field . ' = "' . $value . '"';
	}
	
	$str_set = implode(', ', $set);
	$query = 'UPDATE ' . $table_name . ' SET ' . $str_set . ' WHERE ID = "' . $ID . '"';
	$res = $wpdb->query($query);

	if($res !== false) return true;
	return false;
}

function nv_db_create_table(){
	global $wpdb, $jal_db_version;
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE " . $table_name . " (
		ID int(9) NOT NULL AUTO_INCREMENT,
		url varchar(255) DEFAULT '' NOT NULL,
		days int DEFAULT 0 NOT NULL,
		status int DEFAULT 1 NOT NULL,
		UNIQUE KEY id (ID)
		);";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		add_option("jal_db_version", $jal_db_version);
	}
}

function nv_db_get_prev($id){
	global $wpdb;
	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;
	$query = 'SELECT ID FROM ' . $table_name . ' WHERE ID < "' .$id . '" AND status = "1" ORDER BY ID DESC LIMIT 1';
	$res = $wpdb->get_results($query);

	if($res != '') return $res[0]->ID;
	
	return null;
}

function nv_is_exists($id){
	global $wpdb;	
	$table_name = $wpdb->prefix . NV_TABLE_NAME;	
	$id = $wpdb->get_var($wpdb->prepare("SELECT ID FROM " . $table_name . ";"));
	if($id != '') return true;
	return false;
}
?>