<?php
function nv_display_add_new($success, $ID = ''){
	$val_url = '';
	$val_days = 0;
?>
	<div class="wrap">
		<h2><?php echo ($success == 1) ? NV_UPDATE : NV_ADDNEW; ?></h2>
		<?php
			switch($success){
				case 1:
					$val_url = $_POST['url'];
					$val_days = $_POST['num_days'];
					echo '<div id="message" class="updated"><p>' . NV_ADDED . '</p></div>';
					break;
				case 0;
					$val_url = $_POST['url'];
					$val_days = $_POST['num_days'];				
					echo '<div id="message" class="updated"><p>' . NV_NOTADDED . '</p></div>';
					break;
				default:
			}
		?>
		<form class="nv-form" method="post" action="<?php echo ($success == 1) ? 'admin.php?page=yourpluginname&subpage=edit&id=' . $ID : ''; ?>">
			<p>
				<label for="url"><?php echo NV_URL; ?></label>
				<input class="nv-url" type="text" name="url" id="url" value="<?php echo $val_url; ?>" />
			</p>
			<p>
				<label for="num-days"><?php echo NV_NUMDAYS; ?></label>
				<input class="nv-days" type="text" name="num_days" id="num-days" value="<?php echo $val_days; ?>"/>
			</p>
			<div class="submit">
				<input type="submit" value="<?php echo ($success == 1) ? 'Update' : 'Save'; ?>" class="button-primary"/>
				<a href="admin.php?page=<?php echo NV_PAGE; ?>" class="button"><?php echo NV_BACK; ?></a>
			</div>
		</form>
	</div>
<?php
}

function nv_display_update($success, $ID){	
	$row = nv_db_retrieve_row($ID);
	$val_url = $row->url;
	$val_days = $row->days;	
?>
	<div class="wrap">
		<h2><?php echo NV_UPDATE; ?><a class="button add-new-h2" href="admin.php?page=<?php echo NV_PAGE; ?>&subpage=add-new"><?php echo NV_ADDNEW; ?></a></h2>
		<?php
			switch($success){
				case 1:
					echo '<div id="message" class="updated"><p>' . NV_UPDATED . '</p></div>';
					break;
				case 0;
					$val_url = $_POST['url'];
					$val_days = $_POST['num_days'];			
					echo '<div id="message" class="updated"><p>' . NV_NOTUPDATED . '</p></div>';
					break;
				default:
			}
		?>
		<form class="nv-form" method="post" action="<?php echo ($success == 1) ? 'admin.php?page=yourpluginname&subpage=edit&id=' . $ID : ''; ?>">
			<p>
				<label for="url"><?php echo NV_URL; ?></label>
				<input class="nv-url" type="text" name="url" id="url" value="<?php echo $val_url; ?>" />
			</p>
			<p>
				<label for="num-days"><?php echo NV_NUMDAYS; ?></label>
				<input class="nv-days" type="text" name="num_days" id="num-days" value="<?php echo $val_days; ?>"/>
			</p>
			<div class="submit">
				<input type="submit" value="Update" class="button-primary"/>
				<a href="admin.php?page=<?php echo NV_PAGE; ?>" class="button"><?php echo NV_BACK; ?></a>
			</div>
		</form>
	</div>
<?php
}

function nv_display_url_lists($res = ''){
	global $ajax_url;
	$allurls = nv_db_retrieve_allrows();
	$res = $_GET['res'];
	switch($res){
		case 'deleted':
			$msg = '<div id="message" class="updated"><p>' . NV_DELETED . '</p></div>';
			break;
	}
?>
	<div class="wrap">
		<h2><?php echo NV_TITLE; ?><a class="button add-new-h2" href="admin.php?page=<?php echo NV_PAGE; ?>&subpage=add-new"><?php echo NV_ADDNEW; ?></a></h2>
		<?php
			echo ($msg != '') ? $msg : ''; 
		?>
		
		<table cellspacing="0" class="widefat">
			<thead>
				<tr>
					<!--<th style="" class="check-column"><input type="checkbox"></th>-->
					<th style="" class=""><?php echo NV_URL; ?></th>
					<th style="" class="" width="30%"><?php echo NV_NUMDAYS; ?></th>					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<!--<th style="" class="check-column"><input type="checkbox"></th>-->
					<th style="" class=""><?php echo NV_URL; ?></th>
					<th style="" class="" width="30%"><?php echo NV_NUMDAYS; ?></th>									
				</tr>
			</tfoot>
			<tbody>
				<?php foreach($allurls as $row){?>
				<tr valign="top" class="" id="post-">				
					<!--<th class="check-column"><input type="checkbox" value="1" name="post[]"></th>-->
					<td class="">
						<?php echo $row->url; ?>
						<div class="row-actions">
							<span><a title="Edit this item" href="admin.php?page=<?php echo NV_PAGE; ?>&subpage=edit&id=<?php echo $row->ID; ?>"><?php echo NV_EDIT; ?></a> | </span>
							<span><a title="Delete this item" onclick="javascript: nv_post_request('<?php echo $ajax_url; ?>?action=delete-row&id=<?php echo $row->ID; ?>', 'nv_delete_row', '<?php echo $row->ID; ?>')"><?php echo NV_DELETE; ?></a></span>
						</div>							
					</td>
					<td class=""><?php echo $row->days; ?></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>		
	</div>
<?php
}

function nv_display_news(){
?>
	<div class="wrap">
		<h2><?php echo NV_NEWS; ?></h2>
		<?php
			$pluginnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-new-visitor.php', array('timeout' => 60));
			$globalnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-global-plugins.php', array('timeout' => 60));
			
			echo $pluginnews['body'];
			echo $globalnews['body'];
		?>				
	</div>
<?php
}

/**
 * @params int $ID the row id
 * @params int $confirm 1 - means delete has been confirmed, otherwise 0
 * @return bool nv_is_deleted true if deletion is successfull, otherwise 0
 */
function nv_display_delete(){
?>
	<div class="wrap">
		<h2><?php echo NV_DELETE; ?></h2>
	</div>
<?php
}
?>